<bugID>1179767<Summary>Tapping text fields in tablet mode should bring up the touch keyboard</Summary><Description>In tablet mode, most Windows apps bring up the touch keyboard when a text field is tapped. Firefox should do that as well.

The keyboard should then disappear when
- the user unfocuses the text field
- the user submits a form
- sends off a request in the awesomebar or search field</Description></bugID>